# $Revision: 1.31.2.2 $, $Date: 2007/03/12 22:08:19 $
%define pg_version	%(rpm -q --queryformat '%{VERSION}' postgresql-backend-devel)
Summary:	Geographic Information Systems Extensions to PostgreSQL
Summary(pl):	Rozszerzenie do PostgreSQL wspomagajce Geograficzne Systemy Informacyjne
Name:		postgis
Version:	1.2.1
Release:	2
License:	GPL v2
Group:		Applications/Databases
Source0:	http://postgis.refractions.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	95430ee371c64a992ebcd8ddf2801acf
Patch0:		%{name}-geos.patch
URL:		http://postgis.refractions.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	geos-devel >= 2.1.4
BuildRequires:	perl-base
BuildRequires:	postgresql-backend-devel >= 7.1
BuildRequires:	postgresql-devel >= 7.1
BuildRequires:	proj-devel
Requires:	postgresql-module-plpgsql = %{pg_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# oh well... I also don't understand this... ;)

%description
This package contains a module which implements GIS simple features,
ties the features to rtree indexing, and provides some spatial
functions for accessing and analyzing geographic data.

%description -l pl
Pakiet ten zawiera modu implementujcy proste funkcje GIS, wie je z
indeksowaniem rtree oraz dostarcza funkcje dostpu oraz analizy danych
geograficznych.

%prep
%setup  -q
%patch0 -p1

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure \
	--with-geos \
	--with-geos-libdir=/usr/%{_lib} \
	--with-pgsql \
	--with-proj \
	--with-proj-libdir=/usr/%{_lib}

%{__make} liblwgeom loaderdumper utils \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	LPATH="%{_libdir}/postgresql" \
	shlib="%{name}.so"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/postgresql,%{_bindir}}

%{__make} -C loader install \
	bindir="$RPM_BUILD_ROOT%{_bindir}" \
	INSTALL_PROGRAM=install

install lwgeom/%{name}.so $RPM_BUILD_ROOT%{_libdir}/postgresql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS NEWS README.postgis TODO doc/html *.sql
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/postgresql/%{name}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postgis.spec,v $
Revision 1.31.2.2  2007/03/12 22:08:19  hawk
- release 2

Revision 1.31.2.1  2007/02/21 09:19:18  hawk
- updated to 1.2.1

Revision 1.31  2006/12/21 10:28:44  qboosh
- BR: autoconf, automake

Revision 1.30  2006/12/21 10:17:52  hawk
- fix x86_64 build
- release 2

Revision 1.29  2006/12/21 10:00:43  hawk
- invoke aclocal, autoheader, autoconf and configure from spec not from
  postgis Makefile

Revision 1.28  2006/12/21 08:54:57  hawk
- updated to 1.2.0, contains numerous fixes including security ones
- no-psql-src.patch seems obsolete, removed
- now builds with PostgreSQL 8.2

Revision 1.27  2006/12/20 13:04:00  hawk
- release 6 to rebuild with PostgreSQL 8.2

Revision 1.26  2006/10/31 20:25:11  glen
- rel 5

Revision 1.25  2006/05/25 20:34:20  hawk
- release 4

Revision 1.24  2006/03/11 12:29:01  arekm
- rel 3

Revision 1.23  2006/01/13 21:33:32  arekm
- rel 2

Revision 1.22  2005/12/04 00:28:29  qboosh
- updated to 1.0.5

Revision 1.21  2005/10/31 11:06:04  arekm
- rel 3

Revision 1.20  2005/10/16 18:08:46  arekm
- rel 2

Revision 1.19  2005/09/09 19:30:47  arekm
- up to 1.0.4

Revision 1.18  2005/09/07 06:35:58  arekm
- rel 2; fix build with new geos

Revision 1.17  2005/09/01 10:20:30  bartowl
- updated postgis to 1.0.3
- STBR with proj-4.4.8 and geos-2.1.4 installed on builders

Revision 1.16  2005/05/13 21:30:05  zbyniu
- BR: perl-base

Revision 1.15  2005/01/16 01:47:51  qboosh
- updated to 0.9.1, updated no-psql-src patch

Revision 1.14  2004/11/01 12:28:03  qboosh
- updated to 0.9.0 (supports geos 1.0 and 2.0, postgresql 7.1 to 8.0)
- updated no-psql-src patch

Revision 1.13  2004/10/26 13:09:17  ankry
- rel. 3 to rebuild with postgresql 7.4.6

Revision 1.12  2004/08/25 08:18:42  ankry
- rel. 2

Revision 1.11  2004/06/06 00:31:50  qboosh
- updated to 0.8.2, updated patch

Revision 1.10  2004/04/05 22:08:56  qboosh
- updated to 0.8.1 (with geos support now), updated patch

Revision 1.9  2003/05/28 13:01:21  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/21 08:13:57  qboosh
- release 5 to be higher than in ra/updates

Revision 1.6  2002/10/10 05:13:56  kloczek
- release 3: rebuild against current postgresql.

Revision 1.5  2002/08/30 07:34:30  kloczek
- rebuild against postgresql 7.2.2.

Revision 1.4  2002/06/01 21:48:45  qboosh
- updated to 0.7.1, new %doc, added proj support

Revision 1.3  2002/05/07 13:48:13  kloczek
- cosmetics.

Revision 1.2  2002/05/07 13:45:25  malekith
- added source url

Revision 1.1  2002/05/07 13:43:22  malekith
- initial, from scratch
